<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "scan_error_status".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ScanErrorStatus".
 *
 * Columns in table "scan_error_status" available as properties of the model,
 * followed by relations of table "scan_error_status" available as properties of the model.
 *
 * @property integer $id
 * @property string $name
 *
 * @property ScanError[] $scanErrors
 * @property ScanErrorLog[] $scanErrorLogs
 */
abstract class BaseScanErrorStatus extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'scan_error_status';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ScanErrorStatus|ScanErrorStatuses', $n);
    }

    public static function representingColumn()
    {
        return 'name';
    }

    public function rules()
    {
        return array(
            array('name', 'length', 'max' => 40),
            array('name', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, name', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'scanErrors' => array(self::HAS_MANY, 'ScanError', 'scan_error_status_id'),
            'scanErrorLogs' => array(self::HAS_MANY, 'ScanErrorLog', 'scan_error_status_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'name' => Yii::t('app', 'Name'),
            'scanErrors' => null,
            'scanErrorLogs' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('name', $this->name, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
